using System;
using System.Runtime.InteropServices;
using PkmnLibSharp.StaticData;

namespace PkmnLibSharp.FFI.StaticData.Libraries
{
    internal static class LibrarySettings
    {
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern IdentifiablePointer library_settings_new(LevelInt maxLevel);
        
        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern void library_settings_drop(IntPtr ptr);

        [DllImport(Data.DllName, CallingConvention = CallingConvention.Cdecl, CharSet = CharSet.Ansi)]
        internal static extern LevelInt library_settings_maximum_level(IntPtr ptr);
    }
}